<?php
/* ---------------------------------------------------------------------------------------
 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
--------------------------------------------------------------------------------------- */
if (!\defined('SYSTEM_RUN')) {require((\dirname(\dirname((__DIR__)))).'/config.php');}

// Include WB admin wrapper script
    $print_info_banner = true;
    require(WB_PATH.'/modules/admin.php');

    $sAddonName = basename(__DIR__);
    $sAddonRel  = str_replace(WB_PATH,'',__DIR__);
    $sAddonUrl  = WB_URL.str_replace(['\\'],['/'],$sAddonRel);
    $sAddonPath = str_replace(['\\'],['/'],WB_PATH.'/'.$sAddonRel);
    $event_msg_color = 'AFAFAF';

// check if module language file exists for the language set by the user (e.g. DE, EN)
    if (\is_readable(__DIR__.'/languages/EN.php')) {require(__DIR__.'/languages/EN.php');}
    if (\is_readable(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (\is_readable(__DIR__.'/languages/'.LANGUAGE.'.php')) {require(__DIR__.'/languages/'.LANGUAGE.'.php');}
    $convertToArray = (function ($sList){
      if (\is_array($sList)){
          return $sList;
      }
      return \preg_split('/[\s,=+\;\:\-\.\|]+/', $sList, -1, \PREG_SPLIT_NO_EMPTY);
    });

// Get Settings from database
    $query_page_content = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_settings` WHERE `section_id` = '$section_id'");
    $fetch_page_content = $query_page_content->fetchRow(MYSQLI_ASSOC);
    $date_view = $fetch_page_content['date_view'];

    if (isset($_GET['event_id'])){
        $event_id = (int)$_GET['event_id'];
    } else {
        $event_id = 0;
    }

// if current event (event_id) should be copied, insert new target event
    if (isset($copy_current_event)) {
        $sSql = '
        INSERT INTO `'.TABLE_PREFIX.'mod_event_dates`
        (`page_id`,`section_id`,`date`,`event_desc`,`event_longdesc`,`evweb_url`,`name_link`,`msg_color`)
        SELECT `page_id`,`section_id`,`date`,`event_desc`,`event_longdesc`,`evweb_url`,`name_link`,`msg_color`
        FROM `'.TABLE_PREFIX.'mod_event_dates`
        WHERE `event_id` = '.(int)$event_id.'
        ';
        $database->query($sSql);
        $event_id = $database->getLastInsertId();
    }

//  Get Data from database
    if ($event_id > 0) {
        $query_content = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_dates` WHERE `event_id` = '$event_id'");
        $fetch_content = $query_content->fetchRow(MYSQLI_ASSOC);
    } else {
        $fetch_content = [
            'event_id' => (int)$event_id,
            'page_id' => (int)$page_id,
            'section_id' => (int)$section_id,
            'date' => date('Y-m-j'),
            'event_desc' => '',
            'event_longdesc' => '',
            'evweb_url' => '',
            'name_link' => '',
            'msg_color' => '737373',
        ];
    }


    $this_date = $fetch_content['date'];
    list($year, $month, $day) = $convertToArray($this_date);
?>
<article class="event-block w3-container w3-margin-bottom">
<h2><?php echo $TEXT['ADD'].'/'.$TEXT['MODIFY'].' '.$MOD_EVENT['EVENTS'],' (',$fetch_content['event_id'],')'; ?></h2>
<form id="modify" action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/save_event.php" method="post" style="margin: 0;">
    <input type="hidden" name="section_id" value="<?php echo $section_id; ?>"/>
    <input type="hidden" name="page_id" value="<?php echo $page_id; ?>"/>
    <input type="hidden" name="event_id" value="<?php echo $event_id; ?>"/>
<?php
    $event_desc      = $fetch_content['event_desc'];
    $event_msg_color = $fetch_content['msg_color'];
    $event_longdesc  = $fetch_content['event_longdesc'];
    $evweb_url = $fetch_content['evweb_url'];
    $name_link = $fetch_content['name_link'];
    if (isset($ev_date)){
        $ev_date = $fetch_content['date'];
        list($year, $month, $day) = $convertToArray($ev_date);
    }
?>
<table style="border-collapse: collapse;width: 100%;" class="event-table">
  <tbody>
    <tr>
        <th class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['INSERTDATE']; ?> :
        </th>
        <td>
<?php
            $year_interval=18;
            function SelectYear($year_interval, $year, $TITLE ,$evyearly){
//                echo $TITLE.':<select name="year" onchange="setDays();"><option value="2000">'.$evyearly."\n";
                echo sprintf(' %s :<select name="year"onchange="setDays();">',$TITLE)."\n";
                echo sprintf('<option value="2000">%s',$evyearly)."\n";
                $CurrYear = date("Y");
                if (isset($year) && ($year!="2000")) {
                    $CurrYear=$year;
                }
                $i=$CurrYear-3;
                while ($i < $CurrYear+$year_interval) {
                    if (($i == $CurrYear) && ($year!="2000")) {
                        echo sprintf('<option selected="selected">%02d',$i)."\n";
                    } else {
                        echo sprintf('<option>%02d',$i)."\n";
                    }
                    $i++;
                }
                echo sprintf('</select>')."\n";
            }

            function SelectMonth($month, $TITLE){
                echo sprintf(' %s :<select name="month" onchange="setDays();">',$TITLE)."\n";
                $i=1;
                $CurrMonth = date("m");
                while ($i <= 12) {
                    if(isset($month)) { //  || ($i == substr($month,1,1) && (substr($month,0,1) == 0))
                        if((int)$month == $i) {
                            echo sprintf('<option class="m%1$d" selected="selected">%1$02d',(int)$month)."\n";
                        } else {
                            echo sprintf('<option class="m%1$d">%1$02d',$i)."\n";
                        }
                    } else {
                        if($i == (int)$CurrMonth) {
                            echo sprintf('<option class="m%1$d" selected="selected">%1$02d',$i)."\n";
                        } else {
                            echo sprintf('<option class="m%1$d">%1$02d',$i)."\n";
                        }
                    }
                    $i++;
                }
                echo sprintf('</select>')."\n";
            }

            function SelectDay($day, $TITLE) {
//                echo " ".$TITLE.":<select name=\"day\">\n";
                echo sprintf(' %s :<select name="day">',$TITLE)."\n";
                $i=1;
                $CurrDay=date("d");
                /* we just create entries from 1 to 28 in the day selection field.
                   because the rest is created by the javascript if needed. But if TODAY
                   is a day > 28, then we also have to create the rest */
                if (($CurrDay > 28) && ($CurrDay <= 31)) {
                    $i_to = $CurrDay;
                } else {
                    $i_to = 28;
                }
                while ($i <= $i_to) {
                    if(isset($day)) {
                        if($day == $i || ($i == substr($day,1,1) && (substr($day,0,1) == 0))) {
                            echo sprintf('<option selected="selected">%02d',$day)."\n";
                            $i++;
                        } else {
                            echo sprintf('<option>%02d',$i)."\n";
                            $i++;
                        }
                    } else {
                        if($i == $CurrDay){
                            echo sprintf('<option selected="selected">%02d',$i)."\n";
                        } else {
                            echo sprintf('<option>%02d',$i)."\n";
                        }
                        $i++;
                    }
                }
                echo sprintf('</select>')."\n";
            }
            if ($date_view == 1 ) {
                SelectDay($day,$MOD_EVENT['DAY']);
                SelectMonth($month,$MOD_EVENT['MONTH']);
                SelectYear(5,$year,$MOD_EVENT['YEAR'],$MOD_EVENT['EVYEARLY']);
            } elseif ($date_view == 2 ) {
                SelectMonth($month,$MOD_EVENT['MONTH']);
                SelectDay($day,$MOD_EVENT['DAY']);
                SelectYear(5,$year,$MOD_EVENT['YEAR'],$MOD_EVENT['EVYEARLY']);
            } else {
                SelectYear($year_interval,$year,$MOD_EVENT['YEAR'],$MOD_EVENT['EVYEARLY']);
                SelectMonth($month,$MOD_EVENT['MONTH']);
                SelectDay($day,$MOD_EVENT['DAY']);
            }
?>
        </td>
    </tr>
    <tr>
        <th class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['COPYDAYS'] ?> :
        </th>
        <td>
<?php
            function CopyDays($days){
                echo sprintf('<select name="copydays">')."\n";
                $i=1;
                while ($i <= $days) {
                    if ($i == 1) {
                        echo sprintf('<option selected="selected">%02d',$i)."\n";
                        $i++;
                    } else {
                        echo sprintf('<option>%02d',$i)."\n";
                        $i++;
                    }
                }
                echo sprintf('</select>')."\n";
            }
            CopyDays(14);
?>
        </td>
    </tr>
    <tr>
        <th class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['ENTEREVENT'] ?> :
        </th>
        <td>
            <input name="event_desc" id="event_desc" value="<?php echo $event_desc; ?>" style="width: 75%;color:#<?php echo $event_msg_color; ?>;font-weight: bold;"/>
            <button id="fgcolor" class="jscolor{valueElement:'msg_color', styleElement:'fgcolor',shadow:false,borderRadius:0}">&nbsp;</button>
            <input name="msg_color" id="msg_color" type="text" value="<?php echo $event_msg_color; ?>" pattern="^([a-fA-F0-9]{6}|[a-fA-F0-9]{3})$" style="max-width:64px;display:inline;width:64px;"/>
        </td>
    </tr>
    <tr>
        <th class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['ENTERLINK'] ?> :
        </th>
        <td>
            <input name="evweb_url" style="width: 300px;" value="<?php echo $evweb_url; ?>"/> <span class="bold">(http(s)://www.example.com)</span>
        </td>
    </tr>
    <tr>
        <th class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['NAMELINK'] ?> :
        </th>
        <td>
            <input name="name_link" style="width: 300px;" value="<?php echo $name_link; ?>"/>
        </td>
    </tr>
  </tbody>
</table>
<table style="border-collapse: collapse;width: 100%;" class="event-table w3-margin-top">
  <tbody>
    <tr>
        <th class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['ENTEREVENT_LONGDESC'] ?> :
        </th>
        <td>
<?php
            $content = $fetch_content['event_longdesc'];
            if (!empty($content)) {
                $content = OutputFilterApi('ReplaceSysvar', $content);
                $content = \htmlspecialchars($content);
            } else {
                $content = '';
            }
/* */
            if (!defined('WYSIWYG_EDITOR') || WYSIWYG_EDITOR=="none" OR !file_exists(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php')) {
                function show_wysiwyg_editor($name,$id,$content,$width,$height) {
                    echo '<textarea name="'.$name.'" id="'.$id.'" style="width: '.$width.'; height: '.$height.';">'.$content.'</textarea>';
                }
            } else {
                $id_list=array("event_longdesc");
                require(WB_PATH.'/modules/'.WYSIWYG_EDITOR.'/include.php');
            }
            show_wysiwyg_editor("event_longdesc","event_longdesc",$content,"100%","400px");

?>
        </td>
    </tr>
  </tbody>
</table>
<table style="border-collapse: collapse;width: 100%;" class="event-table">
  <tbody>
    <tr>
        <td style="float: left;">
            <input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="min-width: 100px; margin-top: 5px;">
        </td>
        <td>
            <input name="save-overview" type="submit" value="<?php echo $TEXT['SAVE_BACK']; ?>" style="min-width: 100px; margin-top: 5px;">
        </td>
        <td style="float: right;">
            <input type="button" value="<?php echo $TEXT['CLOSE']; ?>" onclick="window.location='<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="min-width: 100px; margin-top: 5px;" />
        </td>
    </tr>
  </tbody>
</table>
</form>
</article>
<script src="<?php echo $sAddonUrl;?>/themes/default/js/jscolor.js"></script>
<?php

// Print admin footer
$admin->print_footer();

