<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if (!\defined('SYSTEM_RUN')) {require((\dirname(\dirname((__DIR__)))).'/config.php');}

    $sAddonName = basename(__DIR__);
    $sAddonRel  = str_replace(WB_PATH,'',__DIR__);
    $sAddonUrl  = WB_URL.str_replace(['\\'],['/'],$sAddonRel);
    $sAddonPath = str_replace(['\\'],['/'],WB_PATH.'/'.$sAddonRel);
//  Include WB admin wrapper script
    $print_info_banner = true;
    require(WB_PATH.'/modules/admin.php');

    if (!\function_exists('edit_module_css')){include(WB_PATH .'/framework/module.functions.php');}

// check if module language file exists for the language set by the user (e.g. DE, EN)
    if (\is_readable(__DIR__.'/languages/EN.php')) {require(__DIR__.'/languages/EN.php');}
    if (\is_readable(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (\is_readable(__DIR__.'/languages/'.LANGUAGE.'.php')) {require(__DIR__.'/languages/'.LANGUAGE.'.php');}

$query_page_content = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_settings` WHERE `section_id` = '$section_id'");
$fetch_page_content = $query_page_content->fetchRow();

$evheader = stripslashes($fetch_page_content['evheader']);
$evfooter = stripslashes($fetch_page_content['evfooter']);
$event_msg = stripslashes($fetch_page_content['event_msg']);
$noevents_msg = stripslashes($fetch_page_content['noevents_msg']);
?>
<article class="event-block w3-container w3-margin-bottom">
<h2><?php echo $MOD_EVENT['SETTINGS']; ?></h2>
<div class="w3-margin-bottom">
<?php
// include the button to edit the optional module CSS files
// Note: CSS styles for the button are defined in backend.css (div class="mod_moduledirectory_edit_css")
// Place this call outside of any <form></form> construct!!!
if(function_exists('edit_module_css')) {
    edit_module_css('event');
}
?>
</div>

<form id="edit" action="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/save_settings.php" method="post" style="margin: 0;">
    <input type="hidden" name="page_id" value="<?php echo $page_id; ?>"/>
    <input type="hidden" name="section_id" value="<?php echo $section_id; ?>"/>

<table style="border-collapse: collapse;width: 100%;" class="event-table">
  <tbody>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['TODAYNOEVENT'] ?> :
        </td>
        <td style="width: 60%;vertical-align: top;">
            <input name="event_msg" type="text" value="<?php echo $event_msg; ?>" style="width: 98%;"/>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['MONTHNOEVENT'] ?> :
        </td>
        <td style="width: 60%;vertical-align: top;">
            <input name="noevents_msg" type="text" value="<?php echo $noevents_msg; ?>" style="width: 98%;"/>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['DISPTODAYEVENT'] ?> :
        </td>
        <td style="width: 60%;vertical-align: top;">
            <input type="radio" name="todayevent" id="todayevent1" value="1" <?php if($fetch_page_content['todayevent'] == "1") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('todayevent1').checked = true; return false;" style="cursor: default;"><?php echo $TEXT['YES']; ?></span>
            <input type="radio" name="todayevent" id="todayevent0" value="0" <?php if($fetch_page_content['todayevent'] != "1") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('todayevent0').checked = true; return false;" style="cursor: default;"><?php echo $TEXT['NO']; ?></span>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['DISPMONTHEVENT'] ?> :
        </td>
        <td style="width: 60%;vertical-align: top;">
            <input type="radio" name="monthevent" id="monthevent1" value="1" <?php if($fetch_page_content['monthevent'] == "1") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('yevent1').checked = true; return false;" style="cursor: default;"><?php echo $TEXT['YES']; ?></span>
            <input type="radio" name="monthevent" id="monthevent0" value="0" <?php if($fetch_page_content['monthevent'] == "0") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('monthevent0').checked = true; return false;" style="cursor: default;"><?php echo $TEXT['NO']; ?></span>
            <input type="radio" name="monthevent" id="monthevent2" value="2" <?php if($fetch_page_content['monthevent'] == "2") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('monthevent2').checked = true; return false;" style="cursor: default;"><?php echo $MOD_EVENT['SHOWDESC']; ?></span>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['DISPALLEVENTS'] ?> :
        </td>
        <td style="width: 60%;vertical-align: top;">
            <input type="radio" name="showalldata" id="showalldata1" value="1" <?php if($fetch_page_content['showalldata'] == "1") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('showalldata1').checked = true; return false;" style="cursor: default;"><?php echo $TEXT['YES']; ?></span>
            <input type="radio" name="showalldata" id="showalldata0" value="0" <?php if($fetch_page_content['showalldata'] != "1") { echo ' checked="checked"'; } ?>/>
            <span onclick="document.getElementById('showalldata0').checked = true; return false;" style="cursor: default;"><?php echo $TEXT['NO']; ?></span>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $TEXT['DATE_FORMAT'] ?> :
        </td>
        <td style="width: 60%;vertical-align: top;">
            <?php $date_view = $fetch_page_content['date_view']; ?>
            <select name="dateview">
            <option value ="0" <?php if ($date_view == 0) { echo 'selected="selected"'; } ?> ><?php echo $MOD_EVENT['YEAR']."-".$MOD_EVENT['MONTH']."-".$MOD_EVENT['DAY']; ?></option>
            <option value ="1" <?php if ($date_view == 1) { echo 'selected="selected"'; } ?> ><?php echo $MOD_EVENT['DAY'].".".$MOD_EVENT['MONTH'].".".$MOD_EVENT['YEAR']; ?></option>
            <option value ="2" <?php if ($date_view == 2) { echo 'selected="selected"'; } ?> ><?php echo $MOD_EVENT['MONTH']."-".$MOD_EVENT['DAY']."-".$MOD_EVENT['YEAR']; ?></option>
            <option value ="3" <?php if ($date_view == 3) { echo 'selected="selected"'; } ?> ><?php echo $MOD_EVENT['MONTH']."-".$MOD_EVENT['DAY']; ?></option>
            <option value ="4" <?php if ($date_view == 4) { echo 'selected="selected"'; } ?> ><?php echo $MOD_EVENT['DAY'].".".$MOD_EVENT['MONTH']; ?></option>
            </select>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['EVHEADER'] ?> :
        </td>
        <td>
            <textarea name="evheader" style="width: 98%; height: 40px;"><?php echo $evheader; ?></textarea>
        </td>
    </tr>
    <tr>
        <td class="setting_name" style="width: 25%;vertical-align: top;">
            <?php echo $MOD_EVENT['EVFOOTER'] ?> :
        </td>
        <td>
            <textarea name="evfooter" style="width: 98%; height: 40px;"><?php echo $evfooter; ?></textarea>
        </td>
    </tr>
  </tbody>
</table>

<table style="border-collapse: collapse;width: 100%;" class="event-table">
  <tbody>
    <tr>
        <td style="float: left;">
            <input name="save" type="submit" value="<?php echo $TEXT['SAVE']; ?>" style="width: 100px; margin-top: 5px;"></form>
        </td>
        <td>
            <input name="save-overview" type="submit" value="<?php echo $TEXT['SAVE_BACK']; ?>" style="min-width: 100px; margin-top: 5px;"></form>
        </td>
        <td style="float: right;">
            <input type="button" value="<?php echo $TEXT['CLOSE']; ?>" onclick="window.location='<?php echo ADMIN_URL; ?>/pages/modify.php?page_id=<?php echo $page_id; ?>';" style="width: 100px; margin-top: 5px;" />
        </td>
    </tr>
  </tbody>
</table>
</article>
<?php

// Print admin footer
$admin->print_footer();

