<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

use bin\{WbAdaptor,SecureTokens,Sanitize};
use bin\helpers\{PreCheck};

if (!\defined('SYSTEM_RUN')) {require((\dirname(\dirname((__DIR__)))).'/config.php');}

    $sAddonName = basename(__DIR__);
    $sAddonRel  = '/'.str_replace(WB_PATH,'',__DIR__);
    $sAddonUrl  = WB_URL.str_replace(['\\'],['/'],$sAddonRel);
    $sAddonPath = str_replace(['\\'],['/'],WB_PATH.$sAddonRel);
// check if module language file exists for the language set by the user (e.g. DE, EN)
    if (\is_readable(__DIR__.'/languages/EN.php')) {require(__DIR__.'/languages/EN.php');}
    if (\is_readable(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (\is_readable(__DIR__.'/languages/'.LANGUAGE.'.php')) {require(__DIR__.'/languages/'.LANGUAGE.'.php');}

    try {
    // Include WB admin wrapper script
        $update_when_modified = true; // Tells script to update when this page was last updated
        require(WB_PATH.'/modules/admin.php');
        $sBackLink  = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;
    // Get id
        if (!isset($_POST['event_id']) || !is_numeric($_POST['event_id'])) {
            $admin->send_header($sBackLink);
            exit;
        } else {
            $event_id = (int)$_POST['event_id'];
        }

        if (isset($_POST['save'])) {
            if ($event_id==0 ) {
                $sBackLink = WB_URL.'/modules/'.$sAddonName.'/change_event.php?page_id='.(int)$page_id.'&section_id='.(int)$section_id;
            } else {
                $sBackLink = WB_URL.'/modules/'.$sAddonName.'/change_event.php?page_id='.(int)$page_id.'&event_id='.(int)$event_id.'&section_id='.(int)$section_id;
            }
        }
        $event_date      = $oRequest->getParam('event_date', FILTER_SANITIZE_STRING);
        $event_desc      = $oRequest->getParam('event_desc', FILTER_SANITIZE_STRING);
        $event_msg_color = $oRequest->getParam('msg_color', FILTER_SANITIZE_STRING);
        $content         = $admin->stripCodeFromText($oRequest->getParam('event_longdesc'),24);
        $evweb_url       = $oRequest->getParam('evweb_url', FILTER_SANITIZE_URL);
        $name_link       = $oRequest->getParam('name_link', FILTER_SANITIZE_STRING);
        $year            = $oRequest->getParam('year', FILTER_SANITIZE_STRING);
        $month           = $oRequest->getParam('month', FILTER_SANITIZE_STRING);
        $day             = $oRequest->getParam('day', FILTER_SANITIZE_STRING);
        $copydays        = $oRequest->getParam('copydays', FILTER_SANITIZE_NUMBER_INT);
//        $msg_color       = $oRequest->getParam('msg_color', FILTER_SANITIZE_STRING);

        $sRequired = [''];
    // Validate all required fields
        if (empty($event_desc)) {
            $sMessage = sprintf(' %s %s',$MESSAGE['GENERIC_FILL_IN_ALL'].' => ',$MOD_EVENT['ENTEREVENT']);
            throw new \Exception ($sMessage);
        } else {
          $event_longdesc = $admin->ReplaceAbsoluteMediaUrl($content);
        }
      //  send the posted date through mktime to get a correct date
          $fulldate = date('Y-m-d', mktime(0, 0, 0, $month, $day, $year));
          if ($event_date == $fulldate) {
              $date=$event_date;
          } else {
              $date=$fulldate;
          }

    //  sanitize values
        if (!empty($evweb_url) && !\preg_match('/^(http|ftp)s?\:\/\//s', $evweb_url)){
        //  TODO try and catch
            $sMessage = sprintf($MOD_EVENT['ERROR_SCHEMA']);
            throw new \Exception ($sMessage);
        }
        if (!$database->get_one('SELECT COUNT(*) FROM `'.TABLE_PREFIX.'mod_event_dates` WHERE event_id = '.(int)$event_id)){
            $sSql = 'INSERT INTO `'.TABLE_PREFIX.'mod_event_dates` SET ';
            $sWhere = '';
        } else {
            $sSql = 'UPDATE `'.TABLE_PREFIX.'mod_event_dates` SET ';
            $sWhere = 'WHERE `event_id` = '.(int)$event_id.'';
        }

    //  Update row
        $sSqlSet = '
        `page_id` = '.(int)$page_id.'
        ,`section_id` = '.(int)$section_id.'
        ,`date` = \''.$database->escapeString($date).'\'
        ,`event_desc` = \''.$database->escapeString($event_desc).'\'
        ,`event_longdesc` = \''.$database->escapeString($event_longdesc).'\'
        ,`evweb_url` = \''.$database->escapeString($evweb_url).'\'
        ,`name_link` = \''.$database->escapeString($name_link).'\'
        ,`msg_color` = \''.$database->escapeString($event_msg_color).'\'
        ';
        $database->query($sSql.$sSqlSet.$sWhere);

        $event_id = ((empty($sWhere) && $event_id ==0) ? $database->getLastInsertId() : $event_id);
        if (isset($_POST['save']) && $event_id > 0) {
            $sBackLink = WB_URL.'/modules/'.$sAddonName.'/change_event.php?page_id='.(int)$page_id.'&event_id='.(int)$event_id.'&section_id='.(int)$section_id;
        }
        if ($copydays > 1){
            $i=1;
            while ($i <= $copydays -1) {
                $theday = mktime (0,0,0,$month ,$day+$i ,$year);
                $option = date("D M j, Y",$theday);
                $value  = date("Y-m-d",$theday);
                $database->query("INSERT INTO `".TABLE_PREFIX."mod_event_dates` (`page_id`, `section_id`, `date`, `event_desc`, `event_longdesc`, `evweb_url`, `name_link`,`msg_color`) VALUES ('$page_id','$section_id','$value','$event_desc','$event_longdesc','$evweb_url','$name_link','$event_msg_color')");
                $i++;
            }
        }

//  Check if there is a db error, otherwise say successful
        if ($database->is_error()) {
            $sMessage = sprintf('%s',$database->get_error());
            throw new \Exception ($sMessage);
        }

        $admin->print_success($TEXT['SUCCESS'], $sBackLink);

    } catch (\Exception $ex) {
        $sErrMsg = PreCheck::xnl2br(\sprintf('[%d] %s', $ex->getLine(), $ex->getMessage()));
        $admin->print_error ($sErrMsg, $sBackLink);
        exit;
    }// Print admin footer

$admin->print_footer();
