<?php

/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

if (!\defined('SYSTEM_RUN')) {require((\dirname(\dirname((__DIR__)))).'/config.php');}

    $sAddonName = basename(__DIR__);
    $sAddonRel  = '/'.str_replace(WB_PATH,'',__DIR__);
    $sAddonUrl  = WB_URL.str_replace(['\\'],['/'],$sAddonRel);
    $sAddonPath = str_replace(['\\'],['/'],WB_PATH.$sAddonRel);
// check if module language file exists for the language set by the user (e.g. DE, EN)
    if (\is_readable(__DIR__.'/languages/EN.php')) {require(__DIR__.'/languages/EN.php');}
    if (\is_readable(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (\is_readable(__DIR__.'/languages/'.LANGUAGE.'.php')) {require(__DIR__.'/languages/'.LANGUAGE.'.php');}

// Include WB admin wrapper script
    $update_when_modified = true; // Tells script to update when this page was last updated
    require(WB_PATH.'/modules/admin.php');
    $sBackLink  = ADMIN_URL.'/pages/modify.php?page_id='.$page_id;

    if (isset($_POST['save'])) {
        $sBackLink = WB_URL.'/modules/'.$sAddonName.'/modify_settings.php?page_id='.(int)$page_id.'&section_id='.(int)$section_id;
    }

// This code removes any php tags
$evheader     = $admin->StripCodeFromText($_POST['evheader']);
$evfooter     = $admin->StripCodeFromText($_POST['evfooter']);
$event_msg    = $admin->StripCodeFromText($_POST['event_msg']);
$noevents_msg = $admin->StripCodeFromText($_POST['noevents_msg']);
$todayevent   = $admin->StripCodeFromText($_POST['todayevent']);
$monthevent   = $admin->StripCodeFromText($_POST['monthevent']);
$showalldata  = $admin->StripCodeFromText($_POST['showalldata']);
$date_view    = $admin->StripCodeFromText($_POST['dateview']);

//Write Settings to Database
$sSql = '
UPDATE `'.TABLE_PREFIX.'mod_event_settings` SET
`page_id`       = '.(int)$page_id.'
,`evheader`     = \''.$database->escapeString($evheader).'\'
,`evfooter`     = \''.$database->escapeString($evfooter).'\'
,`event_msg`    = \''.$database->escapeString($event_msg).'\'
,`noevents_msg` = \''.$database->escapeString($noevents_msg).'\'
,`todayevent`   = '.(int)$todayevent.'
,`monthevent`   = '.(int)$monthevent.'
,`showalldata`  = '.(int)$showalldata.'
,`date_view`    = '.(int)$date_view.'
WHERE `section_id` = '.(int)$section_id.'
';
$database->query($sSql);

// Check if there is a database error, otherwise say successful
if($database->is_error()) {
    $admin->print_error($database->get_error(), $sBackLink);
} else {
    $admin->print_success($MESSAGE['PAGES_SAVED'], $sBackLink);
}

// Print admin footer
$admin->print_footer();
