<?php
/*

 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2008, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/



// prevent this file from being accessed directly
if (!\defined('SYSTEM_RUN')) {\header($_SERVER['SERVER_PROTOCOL'].' 403 Forbidden'); echo '403 Forbidden'; \flush(); exit;}

    $sAddonName = basename(__DIR__);
    $sAddonRel  = str_replace(WB_PATH,'',__DIR__);
    $sAddonUrl  = WB_URL.str_replace(['\\'],['/'],$sAddonRel);
    $sAddonPath = str_replace(['\\'],['/'],WB_PATH.'/'.$sAddonRel);

// check if module language file exists for the language set by the user (e.g. DE, EN)
    if (\is_readable(__DIR__.'/languages/EN.php')) {require(__DIR__.'/languages/EN.php');}
    if (\is_readable(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php')) {require(__DIR__.'/languages/'.DEFAULT_LANGUAGE.'.php');}
    if (\is_readable(__DIR__.'/languages/'.LANGUAGE.'.php')) {require(__DIR__.'/languages/'.LANGUAGE.'.php');}

    $convertToArray = (function ($sList){
      if (\is_array($sList)){
          return $sList;
      }
      return \preg_split('/[\s,=+\;\:\-\.\|]+/', $sList, -1, \PREG_SPLIT_NO_EMPTY);
    });

//  declare default settings
    $evheader    = '';
    $evfooter    = '';
    $todayevent  = '';
    $monthevent  = '';
    $event_msg   = '';
    $noeventsmsg = '';
    $showalldata = '';
//  Get settings
    $query_content = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_settings` WHERE `section_id` = '$section_id'");
    if ($query_content->numRows() > 0) {
        $fetch_content = $query_content->fetchRow(MYSQLI_ASSOC);
        $evheader    = ($fetch_content['evheader']);
        $evfooter    = ($fetch_content['evfooter']);
        $todayevent  = ($fetch_content['todayevent']);
        $monthevent  = ($fetch_content['monthevent']);
        $event_msg   = ($fetch_content['event_msg']);
        $noeventsmsg = ($fetch_content['noevents_msg']);
        $showalldata = ($fetch_content['showalldata']);
    }
// TODO inputs
    if (isset($_GET['eventdate'])) {
        $eventdate = $_GET['eventdate'];
    }
    if (isset($_GET['monthno'])) {
        $monthno = $_GET['monthno'];
    } else {
        $monthno = date('n');
    }
    if (isset($_GET['year'])) {
        $year = $_GET['year'];
    } else {
        $year = date('Y');
    }
    if (isset($_GET['view'])) {
        $view = $_GET['view'];
    } else {
        $view = 0;
    }
    if (isset($_GET['dview'])) {
        $date_view = $_GET['dview'];
    } else {
        $date_view = $fetch_content['date_view'];
    }
    $monthId = (int)$monthno;
    $monthfulltext = $month_name[$monthId];
    $day_in_mth = date('t', mktime(0, 0, 0, $monthno, 1, $year)) ;
    $today = date("Y-m-j");
    $todayyearly = date("2000-m-j");
    $TOTAL_Event = 0;

    if (!empty($evheader)){echo $evheader;}
?>
<div style="margin: 0.5em auto;">
<!-- Display events from today -->
<?php if ($todayevent == 1 ){ ?>
    <table style="border-collapse: collapse;width: 98%;" class="eventborder event-table">
        <tr>
            <td class="tdeventheading">
<?php
                    echo $MOD_EVENT['TODAYEVENTS']; ?>&nbsp;
<?php
                    if ($date_view == 0) {
                        echo date('Y') . ' ' . $month_name[date('n')] . ' ' . date('d');
                    } elseif ($date_view == 1) {
                        echo date('d') . '. ' . $month_name[date('n')] . ' ' . date('Y');
                    } elseif ($date_view == 2) {
                        echo $month_name[date('n')] . ' ' . date('d') . ' ' . date('Y');
                    } elseif ($date_view == 3) {
                        echo $month_name[date('n')] . ' ' . date('d');
                    } elseif ($date_view == 4) {
                        echo date('d') . '. ' . $month_name[date('n')];
                    }
                ?>
            </td>
        </tr>
 <?php
        $query_dates = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_dates` WHERE `section_id` = '$section_id' && (`date` = '$today' or `date` = '$todayyearly')");
        if ($query_dates->numRows() > 0) {
            while( $result = $query_dates->fetchRow(MYSQLI_ASSOC) ) {
                    $event_msg_color = $result['msg_color'];
?>
                <tr>
                    <td class="tdevent">
                        <div class="tdheading">
<?php
                        echo '<span class="tdevent-desc" style="color:#'.$result['msg_color'].';">' . $result['event_desc'].'</span>';
                        //$wb->preprocess($content);
                        $url1=$_SERVER['SERVER_NAME'];
                        $url2=parse_url($result['evweb_url']);
                        if (($url1==$url2) || ((strpos($result['evweb_url'], 'http://') === false) and (strpos($result['evweb_url'], 'https://') === false))) {
                            $target = sprintf('target="_parent"');
                        } else {
                            $target = sprintf('target="_blank" rel="noopener"');
                        }
                        if (!$result['evweb_url'] == "") { ?>
                            <span class="tdevent-url">
                            <a href="<?php echo $result['evweb_url']; ?>" <?php echo$target;?> ><?php echo $result['name_link']; ?>
                            </a>
                            </span>
<?php
                        }
?>
                        </div>
<?php
                        $content = $result['event_longdesc'];
                        echo '<div class="tdevent-container"><div class="tdevent-longdesc">'.$content.'</div></div>'
?>
                    </td>
                </tr>
<?php
            }
        } else {
?>
            <tr>
                <td class="tdevent">
                <?php echo sprintf('<span style="color:#000000;">%s</span>',$event_msg); ?>
                </td>
            </tr>
<?php
        }
?>
    </table>
<?php } ?>

<!-- Display Month events -->

<?php if (($monthevent == 1 ) || ($monthevent == 2 )){ ?>
    <table style="border-collapse: collapse;width: 98%;" class="event-table">
        <tr>
            <td class="eventheading" style="width: 5%;">
<?php
                $monthchange = $monthno-1; $yearchange=$year;
                if ($monthchange==0) {
                    $monthchange=12;
                    $yearchange=$year-1;
                } else {
                    $yearchange=$year;
                }
?>
                <a href="<?php echo '?monthno='.$monthchange.'&year='.trim($yearchange); ?>">
                <img src="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/images/leftarrow.gif"  alt="<?php echo date("M", mktime(0, 0, 0, $monthchange, 1, $yearchange))." ".$yearchange; ?>" title="<?php echo date("M", mktime(0, 0, 0, $monthchange, 1, $yearchange))." ".$yearchange; ?>" />
                </a>
            </td>
            <td class="eventheading" style="width: 90%;">
<?php
            if ($monthno!=date('n')){
?>
                <a href="<?php echo '?monthno='.date('n'); ?>"><?php echo $MOD_EVENT['TODAY']; ?></a>
<?php
            }else {
?>
                <span>&nbsp;</span>
<?php
}
?>
            </td>
            <td class="eventheading" style="width: 5%;">
<?php
                $monthchange = $monthno+1;
                if ($monthchange==13) {
                    $monthchange=1;
                    $yearchange=$year+1;
                } else {
                    $yearchange=$year;
                }
?>
                <a href="<?php echo '?monthno=' . $monthchange . '&year='.trim($yearchange); ?>">
                <img src="<?php echo WB_URL; ?>/modules/<?php echo $sAddonName;?>/images/rightarrow.gif"  alt="<?php echo date("M", mktime(0, 0, 0, $monthchange, 1, $yearchange))." ".$yearchange; ?>" title="<?php echo date("M", mktime(0, 0, 0, $monthchange, 1, $yearchange))." ".$yearchange; ?>" />
                </a>
            </td>
        </tr>
    </table>

    <table style="border-collapse: collapse;width: 98%;" class="eventborder event-table">
      <tbody>
        <tr>
            <td class="mteventheading"  style="width: 15%;">
                <?php echo $TEXT['DATE']; ?>
            </td>
            <td class="mteventheading"  style="width: 70%;text-align: center;">
                <?php echo $MOD_EVENT['EVENT']; ?>
<?php
                if ( $date_view == 0 ) {
                    echo $year . ' ' . $monthfulltext;
                } else {
                    echo $monthfulltext . ' ' . $year;
                }
?>
            </td>
            <td class="mteventheading"  style="width: 25%;text-align: center;">
                <?php echo $MOD_EVENT['INFO']; ?>
            </td>
        </tr>
      </tbody>
    </table>
    <table style="border-collapse: collapse;width: 98%;" class="event-table">
        <tbody class="event">
<?php
                    $day_of_wk = date('w', mktime(0, 0, 0, $monthno, 1, $year));
                    for ($date_of_mth = 1; $date_of_mth <= $day_in_mth; $date_of_mth++) {
                        if ($day_of_wk = 0){
                            for ($i=0; $i<$day_of_wk; $i++) {
                            }
                        }
                        $date_no = date("j", mktime(0, 0, 0, $monthno, $date_of_mth, $year));
                        $day_of_wk = date("w", mktime(0, 0, 0, $monthno, $date_of_mth, $year));
                        $currentdate = date("Y-m-j", mktime(0, 0, 0, $monthno, $date_of_mth, $year) );
                        $currentdateyearly = date("2000-m-j", mktime(0, 0, 0, $monthno, $date_of_mth, $year) );
                        $query_dates = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_dates` WHERE `section_id` = '$section_id' && (`date` = '$currentdate' or `date` = '$currentdateyearly' )");
                        $event  = $query_dates->numRows();
                        if (!isset($MY_Event)){
                            $MY_Event = 0;
                        }
                        if ( $date_no ==  date('j') &&  $monthno == date('n') ) {
                            if ($event > 0 ){
                                $TOTAL_Event = $MY_Event + $event ;
                                $alt = "";
                                $altdate = "";
                                $evweb_url = "";
                                $target = '';
                                while ($row = $query_dates->fetchRow(MYSQLI_ASSOC)) {
                                    $alt2date=$row['date'];
                                    list($a2year, $a2month, $a2day) = $convertToArray($alt2date);
                                    $ydash="-";
                                    $ydot=".";
                                    if ($a2year=="2000"){
                                        $a2year="";
                                        $alt2date=substr($alt2date,5,5);
                                        $ydash="";
                                        $ydot="";
                                    }
                                    if ($date_view == 1) {
                                        $altdate=$a2day . '.' . $a2month . $ydot . $a2year;
                                    } elseif ($date_view == 2) {
                                        $altdate=$a2month . '-' . $a2day . $ydash . $a2year;
                                    } elseif ($date_view == 3) {
                                        $altdate=$a2month . '-'.$a2day;
                                    } elseif ($date_view == 4) {
                                        $altdate=$a2day . '.' . $a2month . '.';
                                    } else {
                                        $altdate=$alt2date;
                                    }
                                $alt = sprintf('<span style="color:#%s;">%s</span>',$row['msg_color'],$row['event_desc']);
                                    $content="";
                                    if($monthevent == 2 ){
                                        $content = $row['event_longdesc'];
                                    }
                                    $url1 = $_SERVER['SERVER_NAME'];
                                    $url2 = parse_url($row['evweb_url']);
                                    if (($url1==$url2) || ((strpos($row['evweb_url'], 'http://') === false) and (strpos($row['evweb_url'], 'https://') === false))) {
                                        $target = sprintf('target="_parent"');
                                    } else {
                                        $target = sprintf('target="_blank" rel="noopener"');
                                    }
                                    if (!empty($row['evweb_url'])){
                                        $evweb_url = sprintf('<a href="%s" %s><span class="bold">%s</span></a>',$row['evweb_url'],$target,$row['name_link']);
                                    } else {
                                        $evweb_url = sprintf('<span class="bold">%s&nbsp;</span>',$row['name_link']);
                                    }
//                              } // end while
?>
                              <tr class="event-0">
                                  <td class="mtevent mtevent-date" >
                                      <?php echo $altdate; ?>
                                  </td>
                                  <td class="mtevent mtevent-desc bold"><?php echo $alt; ?></td>
<?php
                                    if (!empty($evweb_url)) { ?>
                                        <td class="mtevent mtevent-url" ><?php echo $evweb_url; ?></td>
<?php
                                    }
?>
                                </tr>
<?php
                                    if (!empty($content)) {
?>
                                        <tr>
                                            <td class="mtevent mtevent-date">&nbsp;</td>
                                            <td class="mtevent mtevent-desc">
                                        <?php echo sprintf('<div class="fa-none" >%1$s</div>',$content);?>
                                            </td>
                                            <td class="mtevent mtevent-url">&nbsp;</td>
                                        </tr>
<?php
                                    }
                                } // end while
                            }
                        } elseif ($event > 0 ) {
                            $TOTAL_Event = $MY_Event + $event ;
                            $alt         = "";
                            $altdate     = "";
                            $evweb_url   = "";
                            while ($row  = $query_dates->fetchRow(MYSQLI_ASSOC)) {
                                $alt2date=$row['date'];
                                list($a2year, $a2month, $a2day) = $convertToArray($alt2date);
                                $ydash="-";
                                $ydot=".";
                                if ($a2year=="2000"){
                                    $a2year="";
                                    $alt2date=substr($alt2date,5,5);
                                    $ydash="";
                                    $ydot="";
                                }
                                if ($date_view == 1 ) {
                                    $altdate=$a2day . '.' . $a2month.$ydot.$a2year;
                                } elseif ($date_view == 2 ) {
                                    $altdate=$a2month . '-' . $a2day.$ydash.$a2year;
                                } elseif ($date_view == 3) {
                                    $altdate=$a2month.'-'.$a2day;
                                } elseif ($date_view == 4) {
                                    $altdate=$a2day.'.'.$a2month . '.';
                                } else {
                                    $altdate = $alt2date;
                                }
                                $url1=$_SERVER['SERVER_NAME'];
                                $url2=parse_url($row['evweb_url']);
                                if (($url1 == $url2) or ((strpos($row['evweb_url'], 'http://') === false) and (strpos($row['evweb_url'], 'https://') === false))) {
                                    $target = sprintf('target="_parent"');
                                } else {
                                    $target = sprintf('target="_blank" rel="noopener"');
                                }
                                $alt = sprintf('<span style="color:#%s;">%s</span>',$row['msg_color'],$row['event_desc']);
                                if($monthevent == 2 ){
                                    $content = $row['event_longdesc'];
                                    //$wb->preprocess($content);
                                    //$alt=$alt.$content."";
                                }
                                if (!empty($row['evweb_url'])){
                                    $evweb_url = sprintf('<a href="%s" %s><span class="bold">%s</span></a>',$row['evweb_url'],$target,$row['name_link']);
                                } else {
                                    $evweb_url = sprintf('<span class="bold">%s&nbsp;</span>',$row['name_link']);
                                }
//                            } // end while
?>
                            <tr class="event-1">
                                <td class="mtevent mtevent-date"><?php echo $altdate; ?></td>
                                <td class="mtevent mtevent-desc bold"><?php echo $alt; ?></td>
<?php
                                if (!$evweb_url == "") {
?>
                                    <td class="mtevent  mtevent-url"><?php echo $evweb_url; ?></td>
<?php
                                }
?>
                            </tr>
<?php
                                if (!empty($content)) {
?>
                                    <tr>
                                        <td class="mtevent mtevent-date">&nbsp;</td>
                                        <td class="mtevent mtevent-desc">
                                        <?php echo sprintf('<div class="fa-none" >%1$s</div>',$content);?>
                                        </td>
                                        <td class="mtevent mtevent-url">&nbsp;</td>
                                    </tr>
<?php
                                }
                            } // end while
                        }
                    }
                    if ($TOTAL_Event < 1 ) {
?>
                        <tr>
                            <td class="mtevent"><?php echo $noeventsmsg; ?></td>
                        </tr>
<?php
                    }
?>
        </tbody>
    </table>
<?php } ?>

<!-- Display all events -->

<?php if ($showalldata == 1 ){    ?>
    <table style="border-collapse: collapse;width: 98%;" class="eventborder event-table">
      <tbody>
        <tr>
            <td class="alleventheading">
                <?php echo  $MOD_EVENT['LISTINGALLEVENTS']; ?>
            </td>
        </tr>
        <tr>
            <td class="allevent">
<?php
                $query_dates = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_event_dates` WHERE `section_id` = '$section_id' order by date");
                $check = $query_dates->numRows();
                if ($check > 0) {
                    echo '<ul>'."\n";
                    while($result = $query_dates->fetchRow(MYSQLI_ASSOC)) {
                        $alt2date=$result['date'];
                        list($a2year, $a2month, $a2day) = $convertToArray($alt2date);
                        $ydash = "-";
                        $ydot  = ".";
                        if ($a2year=="2000"){
                            $a2year  ="";
                            $alt2date=substr($alt2date,5,5);
                            $ydash   ="";
                            $ydot    ="";
                        }
                        if ($date_view == 1 ) {
                            $altdate=$a2day.'.'.$a2month.$ydot.$a2year;
                        } elseif ($date_view == 2 ) {
                            $altdate=$a2month.'-'.$a2day.$ydash.$a2year;
                        } elseif ($date_view == 3) {
                            $altdate=$a2month.'-'.$a2day;
                        } elseif ($date_view == 4) {
                            $altdate=$a2day.'.'.$a2month . '.';
                        } else {
                            $altdate=$alt2date;
                        }
?>
                        <li>
                        <?php if (($monthevent == 1 ) || ($monthevent == 2 )){ ?>
                            <a href="?monthno=<?php echo $a2month;
                            if(($a2year=="")) {
                                if ($a2month<date('m')){
                                    $nextyear=date('Y')+1;
                                } else {
                                    $nextyear=date('Y');
                                }
                                echo "&year=".trim($nextyear);
                            } else {
                                echo "&year=".trim($a2year);
                            }?>">
<?php
                            $divtxt = 'ev'.$result['event_id'].'';
                            echo trim($altdate);
?>
                            </a>
<?php
                            if (empty($result['event_longdesc'])){
                                echo sprintf('<span class="bold fa-none" style="color:#%2$s;">%3$s</span>',$divtxt,$result['msg_color'],$result['event_desc']);
                            }else {
                                echo sprintf('<a class="event-id " onclick="toggle_visibility(%1$s);">',$divtxt);
                                echo sprintf('<span class="bold fa-plus %1$s" style="color:#%2$s;">%3$s</span>',$divtxt,$result['msg_color'],$result['event_desc']);
                                echo sprintf('</a>');
                                echo sprintf('<div class="desc" id="ev'.$result['event_id'].'" style="display:none;">'.$result['event_longdesc'].'</div>');
                            }
                        } else {
                            $divtxt = 'ev'.$result['event_id'].'';
                            echo trim($altdate);
                            if (empty($result['event_longdesc'])){
                                echo sprintf('<span class="bold fa-none" style="color:#%2$s;">%3$s</span>',$divtxt,$result['msg_color'],$result['event_desc']);
                            }else {
                                echo sprintf('<a class="event-id" onclick="toggle_visibility(%1$s);">',$divtxt);
                                echo sprintf('<span class="bold fa-plus %1$s" style="color:#%2$s;">%3$s</span>',$divtxt,$result['msg_color'],$result['event_desc']);
                                echo sprintf('</a>');
                                echo sprintf('<div class="desc" id="ev'.$result['event_id'].'" style="display:none;">'.$result['event_longdesc'].'</div>');
                            }
                        }
?>
                        </li>
<?php
                    }
                    echo '</ul>'."\n";
                } else {
                    echo '&nbsp;';
                }
?>
            </td>
        </tr>
      </tbody>
    </table>
<?php } ?>

</div>
<?php
if (!empty($evfooter)){echo $evfooter;}
